Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Member Functions | Private Attributes | List of all members
EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand Class Reference
Inheritance diagram for EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand:

## Protected Member Functions
| configure ()
| initialize (InputInterface $input, OutputInterface $output)
| execute (InputInterface $input, OutputInterface $output)

## Private Attributes
| $languageService
| $userService
| $permissionResolver

## Detailed Description

Definition at line 14 of file CreateLanguageCommand.php.

## Member Function Documentation

## ◆ configure()

EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand::configure | ( |  | ) |
| protected

Definition at line 25 of file CreateLanguageCommand.php.

## ◆ execute()

EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 50 of file CreateLanguageCommand.php.

## ◆ initialize()

EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand::initialize | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 40 of file CreateLanguageCommand.php.

## Member Data Documentation

## ◆ $languageService

EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand::$languageService
| private

Definition at line 17 of file CreateLanguageCommand.php.

## ◆ $permissionResolver

EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand::$permissionResolver
| private

Definition at line 23 of file CreateLanguageCommand.php.

## ◆ $userService

EzSystems\PlatformBehatBundle\Command\CreateLanguageCommand::$userService
| private

Definition at line 20 of file CreateLanguageCommand.php.

The documentation for this class was generated from the following file:

- CreateLanguageCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.